Bug 1249640 - Installers need to configure tempest with deployment-specific values and export a partial tempest.conf
Installers need to configure tempest with deployment-specific values and expo...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: y1
: 7.0 (Kilo)
Assigned To: Imre Farkas
tkammer
: Triaged, ZStream
Depends On: 1230840
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 09:11 EDT by yfried
Modified: 2016-09-20 01:03 EDT (History)
13 users (show)

See Also:
Fixed In Version: python-rdomanager-oscplugin-0.0.9-2.el7ost
Doc Type: Bug Fix
Doc Text:
The director generated no deployer input for Tempest after deployment. This caused possible missing tempest configurations options which were not auto-detected. This fix generates deployer input at the end of deployment. However, you must now run Tempest manually. This fix also removes the overcloud validate command from the director.
Story Points: ---
Clone Of: 1230840
Environment:
Last Closed: 2015-10-08 08:15:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Gerrithub.io 238706 None None None Never

  None (edit)
Comment 4 Mike Burns 2015-08-26 11:56:32 EDT
Patch is not yet merged, so moving back to ON_DEV
Comment 7 Omri Hochman 2015-09-23 14:56:59 EDT
Verified with : python-rdomanager-oscplugin-0.0.10-5.el7ost.noarch

vi tempest-deployer-input.conf
---------------------------------
[compute-feature-enabled]
console_output = false

[object-storage]
operator_role = swiftoperator

[orchestration]
stack_owner_role = heat_stack_user

[volume]
backend1_name = tripleo_iscsi

[volume-feature-enabled]
bootable = true


Results for tempest run:
-------------------------
According to https://review.openstack.org/#/c/221664/2/doc/source/basic_deployment/basic_deployment_cli.rst

======
Totals
======
Ran: 1287 tests in 2725.0000 sec.
 - Passed: 1060
 - Skipped: 100
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 127
Sum of execute time for each test: 4435.9663 sec.

==============
Worker Balance
==============
 - Worker 0 (326 tests) => 0:45:15.824647s
 - Worker 1 (337 tests) => 0:16:37.712544s
 - Worker 2 (292 tests) => 0:42:16.166118s
 - Worker 3 (332 tests) => 0:26:35.311197s
Comment 12 errata-xmlrpc 2015-10-08 08:15:58 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862

Note You need to log in before you can comment on or make changes to this bug.